import { XmlGeneralNode } from '../xml';
export declare const RelType: Readonly<{
    readonly MainDocument: "http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument";
    readonly Header: "http://schemas.openxmlformats.org/officeDocument/2006/relationships/header";
    readonly Footer: "http://schemas.openxmlformats.org/officeDocument/2006/relationships/footer";
    readonly Link: "http://schemas.openxmlformats.org/officeDocument/2006/relationships/hyperlink";
    readonly Image: "http://schemas.openxmlformats.org/officeDocument/2006/relationships/image";
}>;
export type RelTargetMode = 'Internal' | 'External';
export declare class Relationship {
    static fromXml(xml: XmlGeneralNode): Relationship;
    static normalizeRelTarget(target: string): string;
    id: string;
    type: string;
    target: string;
    targetMode: RelTargetMode;
    constructor(initial?: Partial<Relationship>);
    toXml(): XmlGeneralNode;
}
